Name:          links
Version:       2.11
Release:       1mamba
Summary:       A graphics and text mode web browser, released under GPL
Group:         Applications/Web
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://links.twibright.com/
Source0:       http://links.twibright.com/download/links-%{version}.tar.bz2
Source1:       %{name}-desktop
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
%if "%{?stage1}" != "1"
BuildRequires: libdirectfb-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
%endif
BuildRequires: libjpeg-devel
BuildRequires: libgpm-devel
BuildRequires: libopenssl-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: pkgconfig
%if "%{?stage1}" != "1"
BuildRequires: libSDL-devel
BuildRequires: /usr/bin/convert
%endif
Provides:      links2 = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     links2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Links2 runs in graphics mode (mouse required) on X Window System (UN*X, Cygwin), SVGAlib, Linux Framebuffer, OS/2 PMShell, AtheOS GUI or in text mode (mouse optional) on UN*X console, ssh/telnet virtual terminal, vt100 terminal, xterm, and virtually any other text terminal.
Mouse is supported for GPM, xterm, and OS/2.
Links supports colors on terminal.

%prep
%setup -q

%build
%configure \
   --enable-javascript \
   --without-pmshell \
   --without-atheos \
   --without-svgalib \
%if "%{?stage1}" == "1"
   --without-gpm \
   --without-ssl
%else
   --with-libfl \
   --enable-graphics \
   --with-x
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%if "%{?stage1}" != "1"
# install desktop file
install -D %{S:1} \
   %{buildroot}%{_datadir}/applications/links.desktop

# install icons
convert graphics/links.xpm graphics/links.png
install -D graphics/links.png \
   %{buildroot}%{_datadir}/pixmaps/links.png
%endif

%if "%{?stage1}" != "1"
%post
update-desktop-database &>/dev/null
exit 0

%postun
update-desktop-database &>/dev/null
exit 0
%endif

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/links
%if "%{?stage1}" != "1"
%{_datadir}/applications/links.desktop
%{_datadir}/pixmaps/links.png
%endif
%{_mandir}/man1/links.*
%doc AUTHORS COPYING ChangeLog NEWS README

%changelog
* Mon Aug 31 2015 Automatic Build System <autodist@mambasoft.it> 2.11-1mamba
- automatic version update by autodist

* Wed Jul 15 2015 Automatic Build System <autodist@mambasoft.it> 2.10-1mamba
- automatic version update by autodist

* Thu Dec 25 2014 Automatic Build System <autodist@mambasoft.it> 2.9-1mamba
- automatic version update by autodist

* Sun Sep 22 2013 Automatic Build System <autodist@mambasoft.it> 2.8-1mamba
- automatic version update by autodist

* Tue Jun 26 2012 Automatic Build System <autodist@mambasoft.it> 2.7-1mamba
- automatic version update by autodist

* Tue Apr 10 2012 Automatic Build System <autodist@mambasoft.it> 2.6-1mamba
- automatic version update by autodist

* Sun Dec 25 2011 Automatic Build System <autodist@mambasoft.it> 2.5-1mamba
- automatic version update by autodist

* Thu Nov 24 2011 Automatic Build System <autodist@mambasoft.it> 2.4-1mamba
- automatic version update by autodist

* Mon Aug 15 2011 Automatic Build System <autodist@mambasoft.it> 2.3-1mamba
- automatic version update by autodist

* Thu Aug 26 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-4mamba
- rebuilt with libdirectfb 1.4

* Mon Dec 14 2009 Davide Madrisan <davide.madrisan@gmail.com> 2.2-3mamba
- fix desktop file
- convert program icon to the png format
- update-desktop-database after package install/upgrade/remove

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 2.2-2mamba
- automatic rebuild by autodist

* Sun Nov 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2-1mamba
- automatic update by autodist

* Sat Nov 17 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.1pre31-1mamba
- update to 2.1pre31

* Fri May 04 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.1pre28-1mamba
- update to 2.1pre28

* Tue Feb 06 2007 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1pre26-1qilnx
- update to version 2.1pre26 by autospec

* Mon Apr 10 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1pre21-1qilnx
- update to version 2.1pre21 by autospec

* Fri Dec 16 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1pre20-1qilnx
- update to version 2.1pre20 by autospec

* Tue Oct 18 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1pre19-2qilnx
- added KDE menu entry

* Mon Oct 17 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1pre19-1qilnx
- package created by autospec
